-- -----------------------------------------------------------
-- create table to handle system defaults
-- -----------------------------------------------------------
CREATE TABLE IF NOT EXISTS `sod_defaults` (
  id INT NOT NULL AUTO_INCREMENT,
  `system` VARCHAR(8) NOT NULL,
  client VARCHAR(3) NOT NULL,
  approver_minimum INT NOT NULL DEFAULT 1,
  system_reaction INT NOT NULL DEFAULT 0,
  system_reaction_locked TINYINT(1) NOT NULL DEFAULT 0,
  username VARCHAR(12) NOT NULL DEFAULT 'AC preset',
  updated TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (id),
  FOREIGN KEY (system_reaction)
  	REFERENCES sod_warning_types(id)
  );
